package com.zhilin.patrol.bean;

import java.io.Serializable;

/**
 * 首页实体
 */
public class HomeEntity extends BaseEntity<HomeEntity.InfoListBean> {

    public static class InfoListBean implements Serializable {
        /**
         * finishNum : 10
         * unfinishNum : 5
         * reviewNum : 2
         * comTel : 027-64536254
         * extTask : {"address":"深圳龙华-小区1","longitude":"113.993701","latitude":"31.731305","endTime":"2018-06-20"}
         */
        /** 完成目标数 */
        private int finishNum;
        /** 未完成目标数 */
        private int unfinishNum;
        /** 审核数 */
        private int reviewNum;
        /*不通过数*/
        private int unpassNum;
        /** 电话 */
        private String comTel;
        /**
         * address : 深圳龙华-小区1
         * longitude : 113.993701
         * latitude : 31.731305
         * endTime : 2018-06-20
         */
        private int hasEndingPlan;//1显示0不显示
        private String noticeMsg;//提示内容
        private String smartPlanCode;//抽样数量
        private String reChangePlanCode;//整改数量
        private String expirePlanCode;//逾期
        private String endingPlanCode;//首页提示
        private String defaultPlanCode;//判断普通任务是否有任务
        private String unReChangePlanCode;//判断整改不通过任务是否有任务
        private ExtTaskBean extTask;

        public String getDefaultPlanCode() {
            return defaultPlanCode;
        }

        public String getUnReChangePlanCode() {
            return unReChangePlanCode;
        }

        public void setUnReChangePlanCode(String unReChangePlanCode) {
            this.unReChangePlanCode = unReChangePlanCode;
        }

        public void setDefaultPlanCode(String defaultPlanCode) {
            this.defaultPlanCode = defaultPlanCode;
        }

        public String getSmartPlanCode() {
            return smartPlanCode;
        }

        public String getReChangePlanCode() {
            return reChangePlanCode;
        }

        public String getExpirePlanCode() {
            return expirePlanCode;
        }

        public String getEndingPlanCode() {
            return endingPlanCode;
        }

        public int getHasEndingPlan() {
            return hasEndingPlan;
        }

        public void setHasEndingPlan(int hasEndingPlan) {
            this.hasEndingPlan = hasEndingPlan;
        }

        public String getNoticeMsg() {
            return noticeMsg;
        }

        public void setNoticeMsg(String noticeMsg) {
            this.noticeMsg = noticeMsg;
        }

        public int getFinishNum() {
            return finishNum;
        }

        public void setFinishNum(int finishNum) {
            this.finishNum = finishNum;
        }

        public int getUnfinishNum() {
            return unfinishNum;
        }

        public void setUnfinishNum(int unfinishNum) {
            this.unfinishNum = unfinishNum;
        }

        public int getReviewNum() {
            return reviewNum;
        }

        public void setReviewNum(int reviewNum) {
            this.reviewNum = reviewNum;
        }

        public int getUnpassNum(){return unpassNum;}
        public void setUnpassNum(int unpassNum){this.unpassNum=unpassNum;}

        public String getComTel() {
            return comTel;
        }

        public void setComTel(String comTel) {
            this.comTel = comTel;
        }

        public ExtTaskBean getExtTask() {
            return extTask;
        }

        public void setExtTask(ExtTaskBean extTask) {
            this.extTask = extTask;
        }

        public static class ExtTaskBean {
            /** 地址 */
            private String address;
            /*指派任务code*/
            private String pCode;
            /** 经度 */
            private String longitude;
            /** 纬度 */
            private String latitude;
            /** 最后时间 */
            private String endTime;
            /*需巡次数*/
            private String checkNum;
            /*已巡次数*/
            private String postNum;

            public String getCheckNum() {
                return checkNum;
            }

            public void setCheckNum(String checkNum) {
                this.checkNum = checkNum;
            }

            public String getPostNum() {
                return postNum;
            }

            public void setPostNum(String postNum) {
                this.postNum = postNum;
            }

            public String getPCdoe() {
                return pCode;
            }

            public void setPCdoe(String pCode) {
                this.pCode = pCode;
            }

            public String getAddress() {
                return address;
            }

            public void setAddress(String address) {
                this.address = address;
            }

            public String getLongitude() {
                return longitude;
            }

            public void setLongitude(String longitude) {
                this.longitude = longitude;
            }

            public String getLatitude() {
                return latitude;
            }

            public void setLatitude(String latitude) {
                this.latitude = latitude;
            }

            public String getEndTime() {
                return endTime;
            }

            public void setEndTime(String endTime) {
                this.endTime = endTime;
            }
        }
    }
}
